.mini-nav {
  position: sticky;
  top: 0px;
  z-index: 999;
  background: #fff;
  /* box-shadow: 0 5px 20px rgba(0, 0, 0, 0.08); */
  padding: 12px 0;
}

.mini-nav-list {
  gap: 10px;
}

.mini-nav .nav-link {
  color: #000;
  font-weight: 600;
  padding: 12px 20px;
  font-weight: 600;
  border-radius: 30px;
  transition: 0.3s;
  font-size: 15px;
}

.mini-nav .nav-link:hover {
  background: #f58952;
  color: #fff;
}

.mini-nav .nav-link.active {
  background: #060829;
  color: #fff;
}

.page-section {
  padding: 120px 0;
}

section {
  scroll-margin-top: 140px;
}

html {
  scroll-behavior: smooth;
}
.mini-nav {
  backdrop-filter: blur(20px);
  background: rgba(255, 255, 255, 0.85);
  border-bottom: 1px solid rgba(255, 255, 255, 0.3);
}
.nav-link {
  border: 1px solid #ddd;
}
.nav-item {
  list-style-type: none;
}
.nav-link.active {
  background: linear-gradient(45deg, #092519, #0d5b45);
  color: #fff;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
}
/* =========================
   Mini Navigation
========================= */

.mini-nav {
  position: sticky;
  top: 0;
  z-index: 999;
  padding: 12px 0;
  background: rgba(255, 255, 255, 0.9);
  backdrop-filter: blur(20px);
  border-bottom: 1px solid rgba(0, 0, 0, 0.08);
}

.mini-nav-list {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 12px;
  flex-wrap: nowrap;
}

.mini-nav .nav-link {
  white-space: nowrap;
  padding: 12px 20px;
  border-radius: 30px;
  border: 1px solid #ddd;
  color: #000;
  font-size: 15px;
  font-weight: 600;
  transition: 0.3s;
}

.mini-nav .nav-link:hover {
  background: #f58952;
  color: #fff;
}

.mini-nav .nav-link.active {
  background: linear-gradient(45deg, #092519, #0d5b45);
  color: #fff;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
}

/* =========================
   Mobile
========================= */

@media (max-width: 991.98px) {
  .mini-nav {
    display: none;
  }
}
/* over view */
.premium-section {
  /* background: #f8fafc; */
  overflow: hidden;
  padding: 70px 0px;
}

.image-wrapper {
  position: relative;
}

.main-img {
  border-radius: 25px;
  width: 100%;
  transition: 0.5s;
  /* box-shadow: 0 25px 60px rgba(0, 0, 0, 0.15); */
}

.image-wrapper:hover .main-img {
  transform: scale(1.03);
}

.floating-card {
  position: absolute;
  bottom: 30px;
  right: -30px;
  background: #fff;
  padding: 25px;
  border-radius: 20px;
  box-shadow: 0 20px 50px rgba(0, 0, 0, 0.12);
  animation: float 4s ease-in-out infinite;
}

.floating-card h3 {
  font-size: 42px;
  color: #a67564;
  font-weight: 700;
  margin-bottom: 5px;
}

.floating-card p {
  margin: 0;
  font-weight: 500;
}

.section-tag {
  display: inline-block;
  background: #ebeaea;
  color: #f58952;
  padding: 8px 18px;
  border-radius: 30px;
  letter-spacing: 2px;
  font-size: 13px;
  font-weight: 600;
  margin-bottom: 20px;
}

.section-title-ov {
  font-size: 45px;
  font-weight: 700;
  line-height: 1.2;
  margin-bottom: 20px;
  text-align: left;
}
.section-title-ov span {
  font-size: 45px;
  font-weight: 700;
  line-height: 1.2;
  color: #f58952;
}

.section-title span {
  color: #a67564;
}

.section-text {
  color: #000000;
  line-height: 30px;
  font-size: 17px;
  line-height: 28px;
}

.feature-box {
  background: #fff;
  border-radius: 20px;
  padding: 25px;
  transition: 0.4s;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.05);
  height: 100%;
}

.feature-box:hover {
  transform: translateY(-10px);
  box-shadow: 0 20px 50px rgba(0, 0, 0, 0.12);
}

.feature-box i {
  width: 60px;
  height: 60px;
  background: #a67564;
  color: #fff;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px;
  margin-bottom: 20px;
}

.feature-box h5 {
  font-weight: 700;
}

.feature-box p {
  color: #777;
  margin-bottom: 0;
}

.premium-btn {
  display: inline-block;
  padding: 16px 35px;
  border-radius: 50px;
  background: #060829;
  color: #fff;
  text-decoration: none;
  transition: 0.4s;
}

.premium-btn:hover {
  background: #000;
  color: #fff;
  transform: translateY(-4px);
}

@keyframes float {
  0%,
  100% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-15px);
  }
}

@media (max-width: 991px) {
  .section-title {
    font-size: 36px;
  }

  .floating-card {
    right: 15px;
    bottom: 15px;
    padding: 18px;
  }
  .section-title-ov {
    font-size: 30px;
  }
  .section-title-ov span {
    font-size: 30px;
  }
}

/* projects highlights */

.Projects-section {
  background: #fffdfa;
  padding: 80px 0px !important;
}

.pro-item {
  display: flex;
  align-items: center;
  gap: 18px;
  height: 100%;
  padding: 15px 0;
}

.pro-icon {
  width: 80px;
  height: 80px;
  flex: 0 0 80px;
  margin: 0;
  border: 1px solid #ddd;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.4s;
  background: #fff;
}

.pro-icon img {
  width: 48px;
  transition: 0.4s;
}

.pro-item h5 {
  font-size: 15px;
  font-weight: 500;
  margin: 0;
  color: #222;
  text-align: left;
}

.pro-item:hover .pro-icon {
  border-color: #a67564;

  transform: rotate(8deg);
}

/* .pro-item:hover .pro-icon img {
  transform: scale(1.1);
  filter: brightness(0) invert(1);
} */

.pro-item:hover h5 {
  color: #a67564;
}

@media (max-width: 767px) {
  .pro-icon {
    width: 80px;
    height: 80px;
  }

  .pro-icon img {
    width: 38px;
  }

  .pro-item h5 {
    font-size: 16px;
  }
}

.Project-Highlights h2 {
  font-size: 45px;
  font-weight: 600;
  text-align: center;
  margin-bottom: 25px;
}
.Project-Highlights h5 {
  font-size: 25px;
  font-weight: 600;
  text-align: center;
  margin-bottom: 25px;
  color: #f58952;
}
.Project-Highlights h6 {
  text-align: center;
  color: #a67564;
  font-weight: 600;
  letter-spacing: 3px;
}
.Project-Highlights p {
  font-size: 16px;
  text-align: center;
  max-width: 50%;
  margin: 0 auto;
  margin-bottom: 25px;
  color: #000;
}
@media (max-width: 991.98px) {
  .Project-Highlights h2 {
    font-size: 30px;
    margin-bottom: 10px;
  }
  .Project-Highlights h5 {
    margin-bottom: 10px;
  }
  .Project-Highlights p {
    max-width: 100%;
    font-size: 15px;
  }
  .Projects-section {
    padding: 30px 20px !important;
  }
}

/* end */

/* amenities */

.amenities-title {
  font-size: 45px;
  font-weight: 600;
  text-align: center;
}

.amenities-section {
  background: #fff;
  padding-top: 80px;
}

.section-header {
  max-width: 700px;
  margin: 0 auto;
}

.amenity-item {
  display: flex;
  align-items: center;
  gap: 20px;
  padding: 15px;
  border-radius: 18px;
  transition: 0.35s;
}

.amenity-item:hover {
  border-color: #a67564;

  transform: translateY(-6px);
}

.amenity-item img {
  width: 55px;
  height: 55px;
}

.amenity-item h5 {
  margin: 0;
  font-size: 14px;
  font-weight: 600;
}
.section-subtitle {
  font-size: 45px;
  font-weight: 600;
}
.section-subtitle p {
  text-align: center;
  font-size: 14px;
  font-weight: 500;
}
.section-subtitle span {
  font-size: 48px;
  font-weight: 600;
  line-height: 1.2;
  color: #000;
}
@media (max-width: 767px) {
  .amenity-item {
    padding: 18px;
  }

  .amenity-item img {
    width: 45px;
    height: 45px;
  }

  .amenity-item h5 {
    font-size: 17px;
  }
  .amenities-title {
    font-size: 30px !important;
  }
}

@media (max-width: 991.98px) {
  .amenities-section {
    padding: 30px 0px !important;
  }
  .section-subtitle span {
    font-size: 40px;
  }
}

/* CARD */

/* floor plan */

.floor-section {
  padding: 80px 0px;
  background: #e8e5e51c;
}
.floor-plans h2 {
  text-align: center;
  font-size: 45px;
  margin-bottom: 15px;
}
.floor-plans h5 {
  text-align: center;
  font-size: 28px;
  margin-bottom: 35px;
}
@media (max-width: 991.98px) {
  .masterplan-section {
    padding: 30px 20px !important;
  }
}

@media (max-width: 991.98px) {
  .floor-plan-section {
    padding: 30px 20px !important;
  }
  .section-floor span {
    font-size: 30px !important;
  }
  .floor-image {
    height: 250px !important;
    padding: 0px !important;
  }
  .floor-image img {
    object-fit: cover;
  }
  .floor-info {
    padding: 13px 30px;
  }
}

.floor-plan-section {
  padding: 80px 0;
  background: #f8f8f8;
}

.floor-card {
  background: #fff;
  border-radius: 20px;
  overflow: hidden;
  /* box-shadow: 0 15px 35px rgba(0, 0, 0, 0.08); */
  transition: 0.4s;
}

.floor-card:hover {
  transform: translateY(-8px);
}

.floor-image {
  height: 420px;
  padding: 25px;
  background: #fff;
}

.floor-image img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.floor-info {
  display: flex;
  justify-content: space-around;
  padding: 25px 30px;
  border-top: 1px solid #eee;
}

.info-box small {
  color: #b07e50;
  font-size: 12px;
  letter-spacing: 2px;
}

.info-box h5 {
  margin-top: 8px;
  font-weight: 700;
  font-family: auto;
}

.floor-action {
  margin-top: 60px;
  display: flex;
  justify-content: center;
  gap: 20px;
  flex-wrap: wrap;
}

.btn-floor {
  background: #b07e50;
  color: #fff;
  padding: 16px 34px;
  border-radius: 50px;
  text-decoration: none;
  border: none;
  transition: 0.4s;
  font-weight: 600;
}

.btn-floor:hover {
  background: #060829;
  color: #fff;
}

.btn-floor i {
  margin-right: 10px;
}

.modal-content {
  border-radius: 20px;
  overflow: hidden;
}
.section-floor h2 {
  font-size: 20px;
  margin-bottom: 30px;
  color: #f58952;
}
.section-floor span {
  color: #000;
  font-size: 45px;
  margin-bottom: 30px;
}

/* end */

/* master plan */
/* IMAGE BLUR */
.mp-image {
  width: 100%;
  display: block;
  /* filter: blur(8px); */
  transform: scale(1.1);
  transition: 0.5s ease;
}

.masterplan-card {
  position: relative;
  max-width: 1100px;
  margin: auto;
  border-radius: 20px;
  /* overflow: hidden; */
}
.masterplan-section {
  padding: 80px 0px;
}

/* location */

.hero-section {
  padding: 80px 0;
  background: #fffdfa;
}
/* .location-section {
  padding: 100px 0;
  background: #fffdfa;
} */

.map-wrapper {
  overflow: hidden;
  border-radius: 20px;
  box-shadow: 0 15px 40px rgba(0, 0, 0, 0.08);
}

.map-wrapper iframe {
  width: 100%;
  height: 550px;
  display: block;
}

.location-menu p {
  font-size: 16px;
  text-align: center;
  max-width: 80%;
  margin: 0 auto;
  margin-bottom: 30px;
}
.location-menu h2 {
  font-size: 45px;
  font-weight: 600;
  text-align: center;
  margin-bottom: 20px;
}

.location-features {
  display: flex;
  flex-direction: column;
  gap: 24px;
  justify-content: center;
}

.location-item {
  display: flex;

  gap: 18px;
  padding-bottom: 20px;
  border-bottom: 1px solid rgba(0, 0, 0, 0.08);
  align-items: center;
}

.location-item:last-child {
  border-bottom: none;
}

.location-item i {
  width: 50px;
  height: 50px;
  background: #e87231;
  color: #fff;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  flex-shrink: 0;
}

.location-item span {
  font-size: 14px;
  line-height: 1.7;
  color: #000000;
  font-weight: 400;
}
@media (max-width: 991.98px) {
  .hero-section {
    padding: 40px 20px;
  }
  .location-menu h2 {
    font-size: 30px;
  }
  .location-menu p {
    max-width: 100%;
  }
  .location-features {
    margin-top: 30px !important;
  }
  .location-menu p {
    font-size: 13px !important;
  }
}

/* end */

/* Gallery */

.gallery-section {
  padding: 70px 0px;
  background: #ffffff;
}

.gallery-subtitle {
  color: #a67564;
  font-weight: 600;
  letter-spacing: 3px;
}

.gallery-title {
  font-size: 48px;
  margin: 15px 0;
  font-weight: 700;
}

.gallery-card {
  height: 260px;
  border-radius: 20px;
  overflow: hidden;
  position: relative;
  cursor: pointer;
  box-shadow: 0 15px 40px rgba(0, 0, 0, 0.08);
}

.gallery-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: 0.6s;
}

.gallery-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.35);
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: 0.4s;
}

.gallery-overlay i {
  width: 65px;
  height: 65px;
  background: #fff;
  color: #a67564;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 22px;
  transform: scale(0.5);
  transition: 0.4s;
}

.gallery-card:hover img {
  transform: scale(1.08);
}

.gallery-card:hover .gallery-overlay {
  opacity: 1;
}

.gallery-card:hover .gallery-overlay i {
  transform: scale(1);
}

.swiper {
  padding-bottom: 60px;
}

.swiper-pagination-bullet {
  width: 12px;
  height: 12px;
}
.swiper-pagination {
  display: none;
}

.swiper-pagination-bullet-active {
  background: #a67564;
}
.gallery-title p {
  text-align: center !important;
  color: #000;
}
@media (max-width: 991.98px) {
  .gallery-section {
    padding: 30px 0px;
  }
  .gallery-title {
    font-size: 30px;
  }
}

/* About Developer */
.developer-section {
  padding: 80px 0;
  background: #fff;
}

.developer-image {
  position: relative;
  overflow: hidden;
  border-radius: 24px;
  /* box-shadow: 0 20px 50px rgba(0, 0, 0, 0.08); */
}

.developer-image img {
  width: 100%;
  height: 650px;
  object-fit: cover;
  display: block;
}

/* .experience-badge {
  position: absolute;
  bottom: 30px;
  left: 30px;
  background: #fff;
  padding: 20px 28px;
  border-radius: 20px;
  box-shadow: 0 15px 35px rgba(0, 0, 0, 0.12);
  text-align: center;
} */

.experience-badge h2 {
  color: #a67564;
  font-size: 46px;
  margin: 0;
  line-height: 1;
}

.experience-badge span {
  font-size: 15px;
  color: #555;
}

.section-tag {
  color: #a67564;
  letter-spacing: 2px;
  font-weight: 600;
  text-transform: uppercase;
}

.developer-section h2 {
  margin: 15px 0 25px;
  font-size: 42px;
  font-weight: 700;
}

.developer-section p {
  color: #000;
  line-height: 30px;
  margin-bottom: 20px;
}

.developer-features {
  margin: 35px 0;
}

.feature {
  display: flex;
  align-items: center;
  gap: 15px;
  margin-bottom: 18px;
}

.feature i {
  color: #a67564;
  font-size: 18px;
}

.feature span {
  font-weight: 500;
}

.developer-btn {
  display: inline-block;
  padding: 15px 38px;
  background: #b07e50;
  color: #fff;
  text-decoration: none;
  border-radius: 50px;
  transition: 0.3s;
}

.developer-btn:hover {
  background: #060829;
  color: #fff;
}
@media (max-width: 991.98px) {
  .developer-section {
    padding: 30px 20px;
  }
  .developer-section h2 {
    font-size: 30px;
  }
  .developer-section p {
    line-height: 20px;
  }
}
